duber dot com: LetsTalk: flash player version check

 

Flash Player Version Check

If you have the Flash player already installed in your computer, you will see its version type and number below.

This player version check requires a minimum of Flash version 4 to work at all. Below, you should see your platform (e.g., Win or Mac) followed by the long version number of the Flash player.

If you don't see any results above, then you will need to download and install the free Flash player.

Please remember, this site requires version 6 or higher of the Flash player (the first number in the long version above is the player version).

If you haven't yet upgraded your system to version 7, we suggest that you consider doing so. It offers better performing audio and video streaming in the LetsTalk forums.

Current Discussions: • Test Recordings | • Today's Breakfast | • Homework Assignments | • The Weather | • Introductions | • Media Blog

©2004 duber dot com all rights reserved